<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script lang="ts" setup>
import Button from '@/components/general/Button.vue';
import OverviewFilterMenu from '@/components/account/OverviewFilterMenu.vue';
</script>
<template>
    <div class="flex flex-row p-10 py-20 gap-10 absolute w-screen">
        <div class="w-1/12 pt-28 gap-2 hidden md:block lg:w-[225px] 2xl:w-[250px]">
            <div class="flex flex-col gap-2">
                <Button :variant="'confirm'" size="small">
                    <div class="flex flex-row gap-2 leading-7"><i class="ri-star-line text-[16px]"></i><span
                            class="mt-px">{{
                                $t("dashboardPage.favorites.label") }}</span></div>
                </Button>
                <div class="border-b-2 border-gray-300"></div>
                <div class="animate-pulse flex flex-col space-x-4 mb-2">
                    <div class="flex-1 space-y-6 py-1">
                        <div class="h-2 bg-slate-700 rounded"></div>
                        <div class="space-y-3">
                            <div class="grid grid-cols-3 gap-4">
                                <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                            </div>
                            <div class="h-2 bg-slate-700 rounded"></div>
                        </div>
                        <div class="h-2 bg-slate-700 rounded"></div>
                        <div class="space-y-3">
                            <div class="grid grid-cols-3 gap-4">
                                <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                            </div>
                            <div class="h-2 bg-slate-700 rounded"></div>
                        </div>
                        <div class="h-2 bg-slate-700 rounded"></div>
                        <div class="space-y-3">
                            <div class="grid grid-cols-3 gap-4">
                                <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                            </div>
                            <div class="h-2 bg-slate-700 rounded"></div>
                        </div>
                        <div class="h-2 bg-slate-700 rounded"></div>
                        <div class="space-y-3">
                            <div class="grid grid-cols-3 gap-4">
                                <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                                <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                            </div>
                            <div class="h-2 bg-slate-700 rounded"></div>
                        </div>
                    </div>
                </div>
                <Button variant="cancel" size="small">{{ $t("dashboardPage.folder.add") }}</Button>
            </div>
        </div>
        <div class="w-full grow">
            <h3 class="border-b-2 border-gray-300 px-8 lg:px-10 mx-auto py-2 max-w-[1200px]">
                <div class="flex flex-row gap-2 items-stretch">
                    <div class="grow flex"></div>
                    <div class="text-center text-base md:text-2xl justify-self-center">{{ $t("dashboardPage.title") }}
                    </div>
                    <div class="grow flex justify-end">
                        <ul class="flex flex-row gap-2">
                            <Tooltip :tooltip="$t('tooltips.grid')">
                                <Button size="small" :variant="'confirm'"><i
                                        class="ri-grid-fill text-[16px]"></i></Button>
                            </Tooltip>
                            <Tooltip :tooltip="$t('tooltips.list')">
                                <Button size="small" :variant="'default-dark'"><i
                                        class="ri-list-unordered text-[16px]"></i></Button>
                            </Tooltip>
                        </ul>
                    </div>
                </div>
            </h3>
            <OverviewFilterMenu />
            <div class="animate-pulse flex space-x-4 mt-2">
                <div class="flex-1 space-y-6 py-1">
                    <div class="h-2 bg-slate-700 rounded"></div>
                    <div class="space-y-3">
                        <div class="grid grid-cols-3 gap-4">
                            <div class="h-2 bg-slate-700 rounded col-span-2"></div>
                            <div class="h-2 bg-slate-700 rounded col-span-1"></div>
                        </div>
                        <div class="h-2 bg-slate-700 rounded"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>